Impressões
Consultar impressão
Consulta uma ordem de impressão pelo identificador devolvido na criação.
POST
/pooling/print/getAuthorization
bearerAuth gatewayKey AuthorizationBearer <token>
Token JWT no formato: Bearer {token}
In: header
ocp-apim-subscription-key<token>
Gateway Token recebido na criacao da loja.
In: header
Request Body
application/json
Corpo da requisição.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.smarttef.mobi/pooling/print/get" \ -H "Content-Type: application/json" \ -d '{ "print_identifier": "019c9618-0d2f-7405-8e07-2a3e75b20172" }'{
"print_identifier": "019c9618-0d2f-7405-8e07-2a3e75b20172",
"cnpj": "22140418000160",
"create_at": "2026-02-25T15:38:04.603Z",
"update_at": "2026-02-25T15:38:04.603Z",
"file": "https://storage.blob.com/smart-tef/68ab8366-29db-438e-9a39-8ca72691c0b7-SR4YK.png",
"order_type": "CRD_UNICO",
"print_status": "PDT",
"serial_pos": "",
"user_id": 24,
"type": "PRINT",
"has_details": true,
"print_id": "189",
"location": {
"lat": "",
"long": ""
},
"reason": null,
"extras": {}
}{
"status": 400,
"data": {
"message": [
{
"code": "invalid_type",
"expected": "string",
"received": "undefined",
"message": "Required",
"path": [
"print_identifier"
]
}
],
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/pooling/print/get"
}
}{
"status": 401,
"data": {
"message": [
"Unauthorized",
"Token não e do tipo loja, verifique se o token está correto.",
"token not corresponds",
"Store not found",
"Store is not active or is blocked",
"Store is blocked. <cache>"
],
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/pooling/print/get"
}
}{
"status": 404,
"data": {
"message": "print order not found",
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/pooling/print/get"
}
}{
"status": 500,
"data": {
"message": "Internal Server Error",
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/pooling/print/get"
}
}